﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xunit;
using Xunit.Extensions;
using Xunit.Abstractions;
using Xunit.Sdk;
using StackExchange;
using StackExchange.Redis;

using RedisStuy;
using Moq;

namespace RedisStudyTest
{
    public class RedisHelperTest
    {

        [Fact]
        public void GetRedisDatabaseTest()
        {
           var db=  RedisHelper.GetRedisDatabase();

            Assert.True(db != null);
            Assert.Contains("127.0.0.1", db.Multiplexer.Configuration);
            Assert.Equal(1, db.Database);
        }

        [Fact]
        public void GetRedisDatabaseTest2()
        {
            var db = RedisHelper.GetConnectionMultiplexer();
            var db2 = RedisHelper.GetConnectionMultiplexer();
            Assert.Equal(db, db2);
        }

        [Fact]
        public void GetServerTest()
        {
            var redisServer = RedisHelper.GetDefaultRedisServer();

            Assert.NotNull(redisServer);
        }
    }
}
